Retry an event
curl --request POST \
--url https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/retry \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/retry"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/retry"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"enqueued": 2,
"event_id": 1042
}{
"error": "invalid event id"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "event has no failed delivery to retry"
}Events
Retry an event
Send the event again to each active destination whose delivery is dead. Destinations that got the event are skipped. Uses one credit. Up to 60 retries and replays a minute.
POST
/
api
/
v1
/
projects
/
{projectId}
/
events
/
{eventId}
/
retry
Retry an event
curl --request POST \
--url https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/retry \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/retry"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/retry"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"enqueued": 2,
"event_id": 1042
}{
"error": "invalid event id"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "event has no failed delivery to retry"
}Authorizations
A workspace API key. You can also send it in the X-API-Key header.
Path Parameters
Example:
"2mJ8kQ4vXw9aB3cD5eF7gH1iK0L"
Example:
1042